limit_req_zone $binary_remote_addr zone=one:10m rate=120r/m;
limit_conn_zone $binary_remote_addr zone=addr:10m;

upstream php {
    server php:9000 max_conns=200;
}

server {
    listen       80;
    listen  [::]:80;
    server_name localhost;
    root /var/www/html;

    client_body_timeout 5s;
    client_header_timeout 5s;

    #limit_req zone=one;
    #limit_conn addr 10;

    proxy_cache_key $scheme$proxy_host$request_uri;

    error_log /var/log/nginx/localhost.error.log;
    access_log /var/log/nginx/localhost.access.log;

    location / {
        # try to serve file directly, fallback to app.php
        try_files $uri /index.php$is_args$args;
    }

    location ~ ^/.+\.php(/|$) {
        fastcgi_pass php;
        fastcgi_split_path_info ^(.+\.php)(/.*)$;
        fastcgi_index index.php;
        include fastcgi_params;
        fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
        fastcgi_param HTTPS off;
    }

    location /nginx_status {
     	stub_status;
     	allow all;	#only allow requests from localhostapt
     }
}